Update BusinessTrip Expense Allocation

Endpoint to update allocation of expenses associated to a BusinessTrip.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Required scopes:
  • business_trip_write
Fingerprint order:
  • request_timestamp,id,join(concat(expense_allocation.spend_period,expense_allocation.amount,expense_allocation.amount_currency))
Path Params
string
required

The BusinessTrip ID.

Body Params

Update BusinessTrip JSON parameters.

int64

The epoch timestamp in millis. This is checked in Soldo. Requests with timestamp older than 5 seconds will be rejected.

expense_allocation
array of objects

The BusinessTrip expense allocation to use. In Expense allocation: expense_category_id and description are mutually exclusive: provide expense_category_id (for an existing expense category) or description (for a custom expense), but not both.

expense_allocation
Headers
string
required
Defaults to {{fingerprint}}

Advanced authentication: SHA512SUM of the fingerprint values listed in the fingerprint order for this endpoint.

string
required
Defaults to {{fingerprint_signature}}

Advanced authentication: Signature of the X-Soldo-Fingerprint.

Responses
204

No content as result.

400

Your request has missing arguments or is malformed.

404

One or more resource requested does not exist.

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!